﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Controls.Grids;

namespace xamGrid
{
    public static class Extensions
    {
        public static Style Clone(this Style style, double fontSize)
        {
            if (style == null)
                return null;
            Style clonedStyle = new Style(style.TargetType);
            clonedStyle.BasedOn = style.BasedOn;
            foreach (Setter setterToCopy in style.Setters)
            {
                if (setterToCopy.Property == GroupByHeaderCellControl.FontSizeProperty ||
                    setterToCopy.Property == CellControl.FontSizeProperty)
                {
                    clonedStyle.Setters.Add(new Setter()
                    {
                        Property = setterToCopy.Property,
                        Value = fontSize
                    });
                }
                else
                {
                    clonedStyle.Setters.Add(new Setter()
                    {
                        Property = setterToCopy.Property,
                        Value = setterToCopy.Value
                    });
                }
            }
            return clonedStyle;
        }
    }
}
