﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Collections;
using Infragistics.Controls.Grids.Primitives;

namespace xamGrid
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            FontSize1 = 25d;
        }

        public double FontSize1 { get; set; }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            Column categoryId = ((GroupColumn)(this.MyGrid.Columns[0])).Columns["CategoryID"];
            this.MyGrid.GroupBySettings.GroupByColumns.Add(categoryId);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Style groupByCellControlStyle = new Style(typeof(GroupByHeaderCellControl));
            Style cellControlStyle = new Style(typeof(CellControl));
            ResourceDictionary resourceDictionary = App.Current.Resources.MergedDictionaries[0];
            foreach (var value in resourceDictionary.Values)
            {
                Style tempStyle = value as Style;
                if (tempStyle != null)
                {
                    if (tempStyle.TargetType == typeof(GroupByHeaderCellControl))
                    {
                        groupByCellControlStyle = tempStyle.Clone(++FontSize1);
                    }
                    if (tempStyle.TargetType == typeof(CellControl))
                    {
                        cellControlStyle = tempStyle.Clone(++FontSize1);
                    }
                }
            }
            MyGrid.GroupBySettings.GroupByHeaderStyle = groupByCellControlStyle;
            MyGrid.CellStyle = cellControlStyle;
        }
    }
}